List taxonomy groups

GET https://deliver.kontent.ai/:environment_id/taxonomies

Retrieve a paginated list of taxonomy groups. By default, the API returns all taxonomy groups ordered alphabetically by codename.

You can customize pagination by specifying both the skip and limit query parameters.

Request Params

KeyDatatypeRequiredDescription
skipstringSets the number of objects to skip when requesting a list of objects. The skip parameter must be combined with the limit parameter to work. If skip is not specified, the API returns the first page of results.

You can combine the limit and skip parameters to specify page size and page number. For example, using limit=10&skip=10 sets the page size to 10 and gets the second page of results. | | limit | string | | Sets the number of objects to retrieve in a single request. If the limit parameter is not specified, the API returns all requested objects by default.

If limit is lower than the total number of objects matching your query, the next_page property in the pagination object of the API response will contain a URL to the next page of results.

The limit parameter affects only the number of items in the items property. It doesn't reduce the number of linked items in the modular_content property so you may hit the response size limit unexpectedly. You can set depth=0 to avoid that. |

HEADERS

KeyDatatypeRequiredDescription
X-KC-Wait-For-Loading-New-ContentstringDetermines whether the API waits while fetching latest content. By default, the header is not set and the API serves stale content (if cached by the CDN) while fetching the new content to minimize wait time.

The header can be useful if you know that the requested content had changed since your last request in a reaction to a webhook notification. | | Accept | string | | |

RESPONSES

status: OK

{"taxonomies":[{"system":{"id":"f30c7f72-e9ab-8832-2a57-62944a038809","name":"Programming language","codename":"programming_language","last_modified":"2019-08-31T09:41:06.520241Z"},"terms":[{"name":"C#","codename":"c_"},{"name":"JavaScript","codename":"javascript"}]},{"system":{"id":"f30c7f72-e9ab-8832-2a57-62944a038809","name":"Programming language","codename":"programming_language","last_modified":"2019-08-31T09:41:06.520241Z"},"terms":[{"name":{"value":"\u003cError: Too many levels of nesting to fake this schema\u003e"},"codename":{"value":"\u003cError: Too many levels of nesting to fake this schema\u003e"},"terms":{"value":"\u003cError: Too many levels of nesting to fake this schema\u003e"}}]}],"pagination":{"skip":20,"limit":10,"count":10,"next_page":"https://deliver.kontent.ai/\u003cenvironment_id\u003e/\u003cresource\u003e?limit=10\u0026skip=30","total_count":88084984}}